using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace WebCombo73DataBindBug
{
    public partial class _Default : System.Web.UI.Page
    {

        DataSet mDSCustomers;

        protected void Page_Init(object sender, EventArgs e)
        {
            webCombo1.InitializeDataSource += new Infragistics.WebUI.WebCombo.InitializeDataSourceEventHandler(webCombo1_InitializeDataSource);

             mDSCustomers = new DataSet();
             mDSCustomers.ReadXml(HttpContext.Current.Server.MapPath("~/Xml/Customers.xml"));

            
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            

            if (!IsPostBack)
            {
                InitialisePage();
            }
           
        }

        void InitialisePage()
        {

            btnFilter.Attributes.Add("onclick", "return btnFilter_OnClick();");

            webCombo1.EnableXmlHTTP = true;
            webCombo1.Editable = false;
            webCombo1.ComboTypeAhead = Infragistics.WebUI.WebCombo.TypeAhead.None;

            webCombo1.DataSource = mDSCustomers.Tables[0];
            webCombo1.DataMember = mDSCustomers.Tables[0].TableName;
            webCombo1.DataValueField = "CustomerID";
            webCombo1.DataTextField = "CompanyName";
            webCombo1.DataBind();

            //Initialize the webCombo  
            int selectedRow = 0;
            webCombo1.DataValue = mDSCustomers.Tables[0].Rows[selectedRow]["CustomerID"];
            webCombo1.DisplayValue = (string)mDSCustomers.Tables[0].Rows[selectedRow]["CompanyName"];
         
        }

       

        private void webCombo1_InitializeDataSource(object sender, Infragistics.WebUI.WebCombo.WebComboEventArgs e)
        {
         

                if (webCombo1.DataSource == null && mDSCustomers != null)
                {
                    webCombo1.DataSource = mDSCustomers.Tables[0];
                }
         
        }

    

        protected void btnReload_Click(object sender, EventArgs e)
        {
            //the webCombo shows incorrect data
            //Instead of showing all the rows, it shows only the previously filtered data ??

            webCombo1.DataSource = mDSCustomers.Tables[0];
            webCombo1.DataMember = mDSCustomers.Tables[0].TableName;
            webCombo1.DataValueField = "CustomerID";
            webCombo1.DataTextField = "CompanyName";
            
            webCombo1.DataBind();
        }

     


    }
}
